haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Function

# Documentation

data Function Source #

Constructors

Function |

Fields

- fnSymbol :: Text

  The symbol in the dynlib that this function refers to.

- fnMovedTo :: Maybe Text
- fnCallable :: Callable

#### Instances

Instances details

Show Function Source # |
Instance details Defined in Data.GI.GIR.Function Methods showsPrec :: Int -> Function -> ShowS Source # show :: Function -> String Source # showList :: [Function] -> ShowS Source #

parseFunction :: Parser (Name, Function) Source #